
QGIS Application - Bug report #14883

Switching to SVG symbols crashes QGIS

2016-05-25 12:06 AM - Magnus Nilsson

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22836

Description

I have a point layer that I would like to style using SVG symbols, but QGIS freezes following these steps:

1) Load a point layer from a SHP file.

2) Open the layer properties.

3) In the style section, set the type to SVG.

4) QGIS now freezes and after a few minutes crashes.

QGIS 2.14.0, 64 bit

Windows 7, 64 bit

Associated revisions

Revision 50cada43 - 2016-06-08 06:42 AM - Nyall Dawson

Fix home dir being added as default svg and template path

Fixes #14662, #14652, #14883

Revision db9a95e5 - 2016-07-01 12:28 AM - Nyall Dawson

Fix home dir being added as default svg and template path

Fixes #14662, #14652, #14883

History

#1 - 2016-05-25 12:55 AM - Nyall Dawson

- Status changed from Open to Feedback

This will be caused by an invalid SVG somewhere in your SVG search paths. If you can track down which SVG is causing it can you please attach it to this

ticket? I need to obtain one of these SVG files in order to track down what's causing the crash.

#2 - 2016-05-25 04:07 AM - Magnus Nilsson

Thank you, I had not set the SVG path to the correct folder (C:\\Program Files\\QGIS Essen\\apps\\qgis\\svg). It no loger crashes, not sure which file

caused the crash earlier.
#3 - 2016-05-25 08:43 AM - Nyall Dawson

Ok - if you get a chance, I'd love it if you could track down which file is causing this. A crash is never a good thing!

#4 - 2016-06-07 09:36 PM - Mathieu Pellerin - nIRV

There's a related issue which would - if fixed - probably alleviate this crasher. Upon fresh installation (at least on linux, haven't tried on windows), QGIS

silently adds the user's home directory to the additional SVG paths settings. It's a significant issue, causing:

- major slow downs when switching to SVG markers since QGIS compiles all images from the user's home directory and its sub directories

- can cause crash if it hits problematic files as described in this ticket

#5 - 2016-06-07 09:44 PM - Nyall Dawson

- Status changed from Feedback to Closed

Fixed in changeset commit:"50cada431c37ebd0f230ce9cee4ceeca7334dc59".
